# Generated by Django 3.2.16 on 2022-12-30 22:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('height', models.IntegerField(blank=True, null=True)),
                ('mass', models.FloatField(blank=True, null=True)),
                ('hair_color', models.CharField(blank=True, max_length=31, null=True)),
                ('skin_color', models.CharField(blank=True, max_length=63, null=True)),
                ('eye_color', models.CharField(max_length=63)),
                ('birth_year', models.CharField(blank=True, max_length=31, null=True)),
                ('gender', models.CharField(max_length=31)),
                ('homeworld', models.CharField(max_length=63)),
                ('date', models.DateField()),
                ('collection', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='people', to='star_wars.collection')),
            ],
            options={
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='CollectionDownload',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('filename', models.CharField(max_length=63)),
                ('collection', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='star_wars.collection')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
